Page MenuHomePhabricator

[Bug] Language of Lemma Box doesn't appear after failed submit of Special:NewLexeme
Closed, ResolvedPublic3 Story Points

Description

To reproduce:

If you:
Go to Special: NewLexeme
Enter a valid Lemma
Enter an item for Language of Lexeme that doesn't have a co-responding language code (e.g. Q10 on beta)

  • Then then lemma language box appears (as it should)

If you:
enter an invalid lexical category (e.g. some random string not an item)
submit

  • Then the language of lemma box is *not there*. Now you can't submit the form until you re-enter the language of lexeme and see the unattached error: "There are problems with some of your input"

See following screencast:

Expected behavior:

  • After submitting a NewLexeme form containing validation errors, the Lemma language field is shown if the item inside the language field is not a valid language

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterSpecial:NewLexeme - Language code box visible after failed submit

Event Timeline

Tarrow created this task.May 10 2018, 8:51 AM
Restricted Application added a project: Wikidata. · View Herald TranscriptMay 10 2018, 8:51 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

This also happens if the lexical category is valid but the lemma language is invalid (as can already be seen in the gif, after the lexical category was fixed). In this case, none of the visible fields has an “error” marker.

Lydia_Pintscher renamed this task from Language of Lemma Box doesn't appear after failed submit of Special:NewLexeme to [Bug] Language of Lemma Box doesn't appear after failed submit of Special:NewLexeme.May 27 2018, 4:03 PM
Lydia_Pintscher triaged this task as Medium priority.
Pablo-WMDE set the point value for this task to 3.Jun 26 2018, 12:35 PM
Vvjjkkii renamed this task from [Bug] Language of Lemma Box doesn't appear after failed submit of Special:NewLexeme to s8caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot set the point value for this task to 3.Jul 1 2018, 3:23 PM
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot renamed this task from s8caaaaaaa to [Bug] Language of Lemma Box doesn't appear after failed submit of Special:NewLexeme.Jul 2 2018, 4:42 PM
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot added a subscriber: Aklapper.
Pablo-WMDE updated the task description. (Show Details)Jul 31 2018, 8:59 AM

Change 459999 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/WikibaseLexeme@master] Special:NewLexeme - Language code box visible after failed submit

https://gerrit.wikimedia.org/r/459999

Addshore moved this task from ready to go to in progress on the Wikidata board.Sep 18 2018, 2:24 PM

Change 459999 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Special:NewLexeme - Language code box visible after failed submit

https://gerrit.wikimedia.org/r/459999